Option Explicit

Dim lstFrontaux, serveur
Dim chConf, chTraf, chTrafCumul, chCPUCumul
Dim fso, a
dim chGraph, chTemplate

Set lstFrontaux = CreateObject("Scripting.Dictionary")

lstFrontaux.Add "web-a", "65540"
lstFrontaux.Add "web-b", "65540"
lstFrontaux.Add "web-c", "65540"
lstFrontaux.Add "web-d", "65540"
lstFrontaux.Add "web-e", "65540"

' Frontaux
chTrafCumul 	= ""
chCPUCumul	= ""

For Each serveur In lstFrontaux
	chTraf 		= lstFrontaux(serveur) & ":public@" & serveur & ":"
	chTrafCumul 	= chTrafCumul & " + " & chTraf
	chCPUCumul 	= chCPUCumul & " " & serveur
	
	chConf 		= chConf & CreerTrafic(serveur, chTraf)
	chConf 		= chConf & CreerCPU(serveur, serveur)
	
	chGraph 	= chGraph & CreerLstGraph(serveur, "front")
Next

chConf 		= chConf & CreerTrafic("Frontaux", Mid(chTrafCumul, 4))
chConf 		= chConf & CreerCPU("Frontaux", Mid(chCPUCumul, 2))

chGraph 	= CreerLstGraph("Frontaux", "front") & chGraph



' Cration du fichier de conf
Set fso = CreateObject("Scripting.FileSystemObject")
Set a = fso.CreateTextFile("serveurs.cfg", True)
a.WriteLine(chConf)
a.Close


' Cration du fichier HTML
Set fso = CreateObject("Scripting.FileSystemObject")
Set a = fso.OpenTextFile("..\mrtg.template.html", 1)
chTemplate = a.ReadAll
a.Close

Set fso = CreateObject("Scripting.FileSystemObject")
Set a = fso.CreateTextFile("..\Default.html", True)
a.WriteLine(Replace(chTemplate, "##LST_GRAPHS##", chGraph))
a.Close


MsgBox "Pensez  redmarrer le service MRTG pour prendre les modifs en compte..."



' Cration du fichier index.html qui affiche la liste des graphs
Function CreerLstGraph(nom, typ)
	Dim lstGraph, lstPeriode
	Dim Graph, periode
	Dim ch, i
	
	lstPeriode = Array("day", "week", "month", "year")

	If typ = "front" Then 
		lstGraph = Array("cpu", "trafic")
	Else
		lstGraph = Array("cpu")
	End If
	
	ch = "<tr><td colspan=6><hr/></td></tr>"
	
	For Each Graph In lstGraph
	
		ch = ch & "<tr>"
		If i = 0 Then ch = ch & "<td rowspan=" & (UBound(lstGraph) + 1) & ">" & nom & "</td>"
		
		ch = ch & "<td>" & Graph & "</td>"
		
		For Each periode In lstPeriode
			ch = ch & "<td><img src=rapports/" & nom & "_" & Graph & "-" & periode & ".png></td>"
		Next
		ch = ch & "</tr>"
		i = i + 1
	Next
	CreerLstGraph = ch
End Function




Function CreerTrafic(nom, calcul)
	Dim ch
	ch = VbCrLf
	ch = ch & "# TRAFIC " & UCase(nom) & VbCrLf
	ch = ch & "Target[" & nom & "_trafic]: " & calcul & VbCrLf
	'ch = ch & "SetEnv[" & nom & "_trafic]: MRTG_INT_IP=""192.168.6.21"" MRTG_INT_DESCR=""""" & VbCrLf
	ch = ch & "MaxBytes[" & nom & "_trafic]: 20000000" & VbCrLf
	ch = ch & "Title[" & nom & "_trafic]: Traffic " & nom & "" & VbCrLf
	ch = ch & "Options[" & nom & "_trafic]: nopercent,growright,bits" & VbCrLf
	ch = ch & "WithPeak[" & nom & "_trafic]:w" & VbCrLf
	ch = ch & "PageTop[" & nom & "_trafic]: <h1>Traffic " & nom & "</h1>" & VbCrLf
	ch = ch & "Colours[" & nom & "_trafic]: GREEN#758204,BLUE#758204,BLUE#1000ff,VIOLET#ff00ff" & VbCrLf
	ch = ch & "XSize[" & nom & "_trafic]:300" & VbCrLf
	ch = ch & "YSize[" & nom & "_trafic]:70" & VbCrLf
	
	CreerTrafic = ch
End Function

Function CreerCPU(nom, calcul)
	Dim ch
	ch = VbCrLf
	ch = ch & "# CPU " & UCase(nom) & VbCrLf
	ch = ch & "Target[" & nom & "_cpu]: `C:\WINDOWS\system32\cscript.exe C:\www\_site_par_defaut\mrtg\config\cpu.vbs " & calcul & " //nologo`" & VbCrLf
	ch = ch & "MaxBytes[" & nom & "_cpu]: 100" & VbCrLf
	ch = ch & "Title[" & nom & "_cpu]: CPU " & nom & "" & VbCrLf
	ch = ch & "PageTop[" & nom & "_cpu]: <H1>CPU " & nom & "</H1>" & VbCrLf
	ch = ch & "Options[" & nom & "_cpu]: gauge,nopercent,growright, noo" & VbCrLf
	ch = ch & "YLegend[" & nom & "_cpu]: Utilisation CPU (%)" & VbCrLf
	ch = ch & "ShortLegend[" & nom & "_cpu]: %" & VbCrLf
	ch = ch & "Colours[" & nom & "_cpu]: GREEN#BDD304,BLUE#1000ff,BLUE#1000ff,VIOLET#ff00ff" & VbCrLf
	ch = ch & "LegendI[" & nom & "_cpu]:&nbsp;CPU" & VbCrLf
	ch = ch & "Unscaled[" & nom & "_cpu]:dwmy" & VbCrLf
	ch = ch & "WithPeak[" & nom & "_cpu]:w" & VbCrLf
	ch = ch & "XSize[" & nom & "_cpu]:300" & VbCrLf
	ch = ch & "YSize[" & nom & "_cpu]:70" & VbCrLf
	
	CreerCPU = ch
End Function